Bug 32718 - pump does not get config
pump does not get config
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
: 43896 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 11:42 EST by sandy
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 12:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sandy 2001-03-22 11:42:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.28 i686)

After upgrading everything last night with up2date, including;

Name        : pump                         Relocations: (not relocateable)
Version     : 0.8.11                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Thu 01 Mar 2001
11:41:01

Pump not longer works during boot or manually.

NIC; Realtek 8139 with 8139too module,

ISP; mediaone.net

I checked the syslog output of "daemon.*" and pump logged the request 
but did not log any response from the ISP.


Reproducible: Always
Steps to Reproduce:
1. update all packages in wolverine 03/22/01
2. run lilo
3. reboot
	

Actual Results:  eth0 now fails

Expected Results:  eth0 still OK
Comment 1 sandy 2001-03-22 12:01:30 EST
I just noticed that pump was not upgraded last night.  
Must be some other package.    Packages updated;

XFree86-100dpi-fonts           Wed 21 Mar 2001 10:36:52 PM EST
glibc                          Wed 21 Mar 2001 10:37:43 PM EST
XFree86-devel                  Wed 21 Mar 2001 10:38:13 PM EST
fileutils                      Wed 21 Mar 2001 10:38:26 PM EST
dev                            Wed 21 Mar 2001 10:39:32 PM EST
glibc-devel                    Wed 21 Mar 2001 10:40:12 PM EST
gnome-libs                     Wed 21 Mar 2001 10:40:29 PM EST
gnome-pim-devel                Wed 21 Mar 2001 10:40:37 PM EST
krb5-libs                      Wed 21 Mar 2001 10:40:52 PM EST
arts                           Wed 21 Mar 2001 10:41:02 PM EST
libtiff                        Wed 21 Mar 2001 10:41:13 PM EST
losetup                        Wed 21 Mar 2001 10:41:23 PM EST
mozilla-mail                   Wed 21 Mar 2001 10:41:48 PM EST
nfs-utils                      Wed 21 Mar 2001 10:42:31 PM EST
openssl-devel                  Wed 21 Mar 2001 10:42:40 PM EST
mc                             Wed 21 Mar 2001 10:42:51 PM EST
pciutils                       Wed 21 Mar 2001 10:42:58 PM EST
rpm                            Wed 21 Mar 2001 10:43:06 PM EST
quota                          Wed 21 Mar 2001 10:43:15 PM EST
sawfish                        Wed 21 Mar 2001 10:43:35 PM EST
gnome-utils                    Wed 21 Mar 2001 10:44:18 PM EST
stat                           Wed 21 Mar 2001 10:44:33 PM EST
termcap                        Wed 21 Mar 2001 10:44:42 PM EST
tix                            Wed 21 Mar 2001 10:44:58 PM EST
initscripts                    Wed 21 Mar 2001 10:45:10 PM EST
printconf                      Wed 21 Mar 2001 10:46:05 PM EST
XFree86-twm                    Wed 21 Mar 2001 10:46:18 PM EST
printconf-gui                  Wed 21 Mar 2001 10:46:24 PM EST
caching-nameserver             Wed 21 Mar 2001 10:36:51 PM EST
XFree86-75dpi-fonts            Wed 21 Mar 2001 10:36:54 PM EST
gtk+                           Wed 21 Mar 2001 10:37:59 PM EST
bdflush                        Wed 21 Mar 2001 10:38:19 PM EST
cpp                            Wed 21 Mar 2001 10:38:24 PM EST
kernel                         Wed 21 Mar 2001 10:38:42 PM EST
console-tools                  Wed 21 Mar 2001 10:39:08 PM EST
devfsd                         Wed 21 Mar 2001 10:39:48 PM EST
gcc                            Wed 21 Mar 2001 10:40:20 PM EST
gnome-pim                      Wed 21 Mar 2001 10:40:36 PM EST
gtk+-devel                     Wed 21 Mar 2001 10:40:41 PM EST
gtop                           Wed 21 Mar 2001 10:40:51 PM EST
krb5-devel                     Wed 21 Mar 2001 10:40:56 PM EST
libstdc++                      Wed 21 Mar 2001 10:40:59 PM EST
Maelstrom                      Wed 21 Mar 2001 10:41:05 PM EST
gcc-c++                        Wed 21 Mar 2001 10:41:12 PM EST
control-center                 Wed 21 Mar 2001 10:41:17 PM EST
magicdev                      Wed 21 Mar 2001 10:41:24 PM EST
mozilla                        Wed 21 Mar 2001 10:41:37 PM EST
mozilla-psm                    Wed 21 Mar 2001 10:41:57 PM EST
nscd                           Wed 21 Mar 2001 10:42:32 PM EST
fetchmail                      Wed 21 Mar 2001 10:42:37 PM EST
pam                            Wed 21 Mar 2001 10:42:43 PM EST
SysVinit                       Wed 21 Mar 2001 10:42:46 PM EST
gmc                            Wed 21 Mar 2001 10:42:54 PM EST
pciutils-devel                 Wed 21 Mar 2001 10:42:59 PM EST
popt                           Wed 21 Mar 2001 10:43:03 PM EST
kbdconfig                      Wed 21 Mar 2001 10:43:08 PM EST
mouseconfig                    Wed 21 Mar 2001 10:43:11 PM EST
gnome-core                     Wed 21 Mar 2001 10:43:50 PM EST
gnome-core-devel               Wed 21 Mar 2001 10:44:13 PM EST
tcl                            Wed 21 Mar 2001 10:44:38 PM EST
tk                             Wed 21 Mar 2001 10:44:46 PM EST
tclx                           Wed 21 Mar 2001 10:44:53 PM EST
util-linux                     Wed 21 Mar 2001 10:45:06 PM EST
LPRng                          Wed 21 Mar 2001 10:45:47 PM EST
Mesa                           Wed 21 Mar 2001 10:46:12 PM EST
XFree86-tools                  Wed 21 Mar 2001 10:46:17 PM EST
XFree86-xdm                    Wed 21 Mar 2001 10:46:19 PM EST
internet-config                Wed 21 Mar 2001 10:46:22 PM EST
xmms                           Wed 21 Mar 2001 10:46:29 PM EST
glibc-common                   Wed 21 Mar 2001 10:37:27 PM EST
MAKEDEV                        Wed 21 Mar 2001 10:37:51 PM EST
gdb                            Wed 21 Mar 2001 10:39:50 PM EST
gcc-objc                       Wed 21 Mar 2001 10:40:26 PM EST
bug-buddy                      Wed 21 Mar 2001 10:40:32 PM EST
libtiff-devel                  Wed 21 Mar 2001 10:41:22 PM EST
netscape-communicator          Wed 21 Mar 2001 10:42:30 PM EST
pan                            Wed 21 Mar 2001 10:42:58 PM EST
rpm-build                      Wed 21 Mar 2001 10:43:16 PM EST
rpm-python                     Wed 21 Mar 2001 10:43:30 PM EST
sgml-common                    Wed 21 Mar 2001 10:44:20 PM EST
sndconfig                      Wed 21 Mar 2001 10:44:32 PM EST
switchdesk                     Wed 21 Mar 2001 10:44:33 PM EST
XFree86-xfs                    Wed 21 Mar 2001 10:45:12 PM EST
docbook-utils                  Wed 21 Mar 2001 10:36:55 PM EST
XFree86-libs                   Wed 21 Mar 2001 10:37:54 PM EST
binutils                       Wed 21 Mar 2001 10:38:22 PM EST
kernel-headers                 Wed 21 Mar 2001 10:39:01 PM EST
dhcpcd                         Wed 21 Mar 2001 10:39:48 PM EST
gcc-g77                        Wed 21 Mar 2001 10:40:23 PM EST
ee                             Wed 21 Mar 2001 10:40:33 PM EST
gnome-libs-devel               Wed 21 Mar 2001 10:40:47 PM EST
kudzu-devel                    Wed 21 Mar 2001 10:40:59 PM EST
libstdc++-devel                Wed 21 Mar 2001 10:41:08 PM EST
control-center-devel           Wed 21 Mar 2001 10:41:20 PM EST
mount                          Wed 21 Mar 2001 10:41:24 PM EST
netscape-common                Wed 21 Mar 2001 10:42:19 PM EST
openssl                        Wed 21 Mar 2001 10:42:34 PM EST
gdm                            Wed 21 Mar 2001 10:42:45 PM EST
pam-devel                      Wed 21 Mar 2001 10:42:55 PM EST
pine                           Wed 21 Mar 2001 10:43:02 PM EST
kudzu                          Wed 21 Mar 2001 10:43:10 PM EST
rpm-devel                      Wed 21 Mar 2001 10:43:26 PM EST
gnome-applets                  Wed 21 Mar 2001 10:44:08 PM EST
openjade                       Wed 21 Mar 2001 10:44:29 PM EST
switchdesk-gnome               Wed 21 Mar 2001 10:44:34 PM EST
expect                         Wed 21 Mar 2001 10:44:50 PM EST
XFree86                        Wed 21 Mar 2001 10:45:40 PM EST
Mesa-devel                     Wed 21 Mar 2001 10:46:15 PM EST
Xconfigurator                  Wed 21 Mar 2001 10:46:20 PM EST
Comment 2 sandy 2001-03-24 00:40:42 EST
seems to work now ... initially used wrong MAC address?

syslog output from pump from before and after;

Mar 22 03:45:57 localhost pumpd[1430]: starting at (uptime 0 days, 0:17:18) Thu
Mar 22 03:45:57 2001  
Mar 22 03:45:57 localhost pumpd[1430]: PUMP: sending discover 
Mar 22 03:45:57 localhost pumpd[1430]: breq: opcode: 1
Mar 22 03:45:57 localhost pumpd[1430]: breq: hw: 1
Mar 22 03:45:57 localhost pumpd[1430]: breq: hwlength: 6
Mar 22 03:45:57 localhost pumpd[1430]: breq: hopcount: 0
Mar 22 03:45:57 localhost pumpd[1430]: breq: xid: 0xfd87bf8f
Mar 22 03:45:57 localhost pumpd[1430]: breq: secs: 0
Mar 22 03:45:57 localhost pumpd[1430]: breq: flags: 0x0000
Mar 22 03:45:57 localhost pumpd[1430]: breq: ciaddr: 0.0.0.0
Mar 22 03:45:57 localhost pumpd[1430]: breq: yiaddr: 0.0.0.0
Mar 22 03:45:57 localhost pumpd[1430]: breq: server_ip: 0.0.0.0
Mar 22 03:45:57 localhost pumpd[1430]: breq: bootp_gw_ip: 0.0.0.0
Mar 22 03:45:57 localhost pumpd[1430]: breq: hwaddr: 
Mar 22 03:45:57 localhost pumpd[1430]: breq: servername: 
Mar 22 03:45:57 localhost pumpd[1430]: breq: bootfile: 
Mar 22 03:45:57 localhost pumpd[1430]: breq: vendor: 0x63 0x53 0x82 0x63
Mar 22 03:45:57 localhost pumpd[1430]: breq: vendor:  53   1 0x01
Mar 22 03:45:57 localhost pumpd[1430]: breq: vendor: 0xff
Mar 22 03:46:27 localhost pumpd[1430]: PUMP: sending discover 
Mar 22 03:46:27 localhost pumpd[1430]: breq: opcode: 1
Mar 22 03:46:27 localhost pumpd[1430]: breq: hw: 1
Mar 22 03:46:27 localhost pumpd[1430]: breq: hwlength: 6
Mar 22 03:46:27 localhost pumpd[1430]: breq: hopcount: 0
Mar 22 03:46:27 localhost pumpd[1430]: breq: xid: 0xfd87bfad
Mar 22 03:46:27 localhost pumpd[1430]: breq: secs: 0
Mar 22 03:46:27 localhost pumpd[1430]: breq: flags: 0x0000
Mar 22 03:46:27 localhost pumpd[1430]: breq: ciaddr: 0.0.0.0
Mar 22 03:46:27 localhost pumpd[1430]: breq: yiaddr: 0.0.0.0
Mar 22 03:46:27 localhost pumpd[1430]: breq: server_ip: 0.0.0.0
Mar 22 03:46:27 localhost pumpd[1430]: breq: bootp_gw_ip: 0.0.0.0
Mar 22 03:46:27 localhost pumpd[1430]: breq: hwaddr: 
Mar 22 03:46:27 localhost pumpd[1430]: breq: servername: 
Mar 22 03:46:27 localhost pumpd[1430]: breq: bootfile: 
Mar 22 03:46:27 localhost pumpd[1430]: breq: vendor: 0x63 0x53 0x82 0x63
Mar 22 03:46:27 localhost pumpd[1430]: breq: vendor:  53   1 0x01
Mar 22 03:46:27 localhost pumpd[1430]: breq: vendor: 0xff
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: starting at (uptime 0 days, 0:00:30)
Fri Mar 23 23:52:58 2001   
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: opcode: 1 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: hwlength: 6 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: xid: 0x0070016a 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: flags: 0x0000 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: yiaddr: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: bootp_gw_ip: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: servername:  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor: 0x63 0x53 0x82 0x63 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor: 0xff 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: hw: 1 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: hopcount: 0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: secs: 0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: ciaddr: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: server_ip: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: hwaddr:  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: bootfile:  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: vendor:  53   1 0x02 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: vendor:  54   4 0x18 0x80 0x01
0x2 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: got dhcp offer  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: opcode: 1 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: hwlength: 6 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: xid: 0x0070016b 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: flags: 0x0000 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: yiaddr: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: bootp_gw_ip: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: servername:  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor: 0x63 0x53 0x82 0x63 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor:  57   2 0x02 0x24 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor: ++++++ 0x1c 0x0c 0x07
0x09 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor:  51   4 0x00 0x00 0xa8
0xc 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: opcode: 2 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: hwlength: 6 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: xid: 0x0070016b 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: flags: 0x0000 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: yiaddr: 66.31.172.45 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: bootp_gw_ip: 66.31.168.1 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: servername:  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: vendor: 0x63 0x53 0x82 0x63 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: vendor:  51   4 0x00 0x04 0x91
0xc 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: bresp: vendor: 0xff 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: opcode: 1 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: hwlength: 6 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: xid: 0x0070016c 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: flags: 0x0000 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: yiaddr: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: bootp_gw_ip: 0.0.0.0 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: servername:  
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor: 0x63 0x53 0x82 0x63 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor:  57   2 0x02 0x24 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor: ++++++ 0x1c 0x0c 0x07
0x09 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor:  51   4 0x00 0x00 0xa8
0xc 
Mar 23 23:52:58 h00d0700074d1 pumpd[566]: breq: vendor:  50   4 0x42 0x1f 0xac
0x2 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: opcode: 2 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: hwlength: 6 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: xid: 0x0070016c 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: flags: 0x0000 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: yiaddr: 66.31.172.45 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: bootp_gw_ip: 66.31.168.1 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: servername:  
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor: 0x63 0x53 0x82 0x63 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor:   1   4 0xff 0xff 0xf8
0x0 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor:   6  12 0x18 0x80 0x3c
0x0 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor: ++++++ 0x18 0x80 0x01
0x51 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor:  15  15 0x6e 0x65 0x2e
0x6 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor: ++++++ 0x6f 0x6e 0x65
0x2e 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor:  51   4 0x00 0x05 0x46
0x0 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor:  58   4 0x00 0x01 0x51
0x8 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: bresp: vendor: 0xff 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: device: eth0 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: bootServer: 24.128.1.34 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: ip: 66.31.172.45 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: netmask: 255.255.248.0 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: dnsServers[0]: 24.128.60.8 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: dnsServers[2]: 24.128.1.81 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: logServers[0]: 0.0.0.0 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: domain: ne.mediaone.net 
Mar 23 23:53:22 h00d0700074d1 pumpd[566]: intf: network: 66.31.168.0 
Comment 3 Gene Czarcinski 2001-04-20 17:55:39 EDT
I also found that pump does not work on 7.1 whereas pump-0.8.3-2 worked fine on 7.0.

This is very reproducible on my system.
Comment 4 Need Real Name 2001-06-08 10:46:23 EDT
*** Bug 43896 has been marked as a duplicate of this bug. ***
Comment 5 Elliot Lee 2001-08-26 17:48:46 EDT
Sorry for the long reply delay. Sounds like czar had an unresolved problem -
does anyone know whether this problem still occurs with the packages in Roswell
beta (which has dhcpcd as the main DHCP client, with pump used only in the
installer)?

Note You need to log in before you can comment on or make changes to this bug.